* {
  padding: 0;
  margin: 0;
  font-family: "poppins", sans-serif;
  box-sizing: border-box;
}

body{
  min-width: 1121px;
}

a {
  text-decoration: none;
  color: #5a5a5a;
}

img {
  cursor: pointer;
}

.flex-div {
  display: flex;
  align-items: center;
}

/*====== top navigation bar CSS start ========*/

nav {
  padding: 10px 2%;
  justify-content: space-between;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  background: #fff;
  position: sticky;
  top: 0;
  z-index: 10;
}

.nav-right img {
  width: 25px;
  margin-right: 25px;
}

.nav-right .user-icon {
  width: 35px;
  border-radius: 50%;
  margin-right: 0;
}

.nav-left .menu-icon {
  width: 32px;
  height: 42px;
  margin-right: 25px;
}

.nav-left .logo {
  width: 130px;
}

.nav-middle .mic-icon {
  width: 18px;
  /* height:22px; */
  border-radius: 50%;
}

#mic-div {
  /* border: 1px solid black; */
  border-radius: 50%;
  padding: 3px;
  padding-left: 7px;
  padding-top: 6px;
  padding-right: 7.5px;
  background: rgb(243, 243, 243);
}

.nav-middle .search-box {
  border: 1px solid #ccc;
  margin-right: 15px;
  padding: 8px 12px;
  border-radius: 4px;
}

.nav-middle .search-box input {
  width: 400px;
  border: 0;
  outline: 0;
  background: transparent;
}

.nav-middle .search-box img {
  width: 28px;
  border-left: 1.5px solid rgb(175, 170, 170);
  padding-left: 10px;
}

/*====== top navigation bar CSS end ========*/

/*========  Sidebar -- Start ========*/

.sidebar {
  background: #fff;
  width: 15%;
  height: 100vh;
  position: fixed;
  top: 0;
  padding-left: 2%;
  padding-top: 80px;
  overflow: auto;
}

.sidebar::-webkit-scrollbar {
  /* height: 0; */
  width: 0; /* Remove scrollbar space */
}

.shortcut-link a img {
  width: 20px;
  margin-right: 20px;
}

.shortcut-link a {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  width: fit-content;
  flex-wrap: wrap;
}

/* .shortcut-link a:first-child {
  color: #ed3833;
} */

.sidebar hr {
  border: 0;
  height: 1px;
  background: #ccc;
  width: 85%;
  margin-bottom: 20px;
}

/* ======== subscribed ========= */

.subscribed-list h3 {
  font-size: 13px;
  margin: 20px 0;
  color: #5a5a5a;
}

.subscribed-list a {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  width: fit-content;
  flex-wrap: wrap;
}
.subscribed-list a img {
  width: 25px;
  border-radius: 50%;
  margin-right: 20px;
}

/* -----js--- */
.small-sidebar {
  width: 5%;
}

.small-sidebar a p {
  display: none;
}

.small-sidebar h3{
    display:none;
}

.small-sidebar hr{
    width: 50%;
    margin-bottom: 25px;
}


/* ================= main content ============== */

.container{
    background: #f9f9f9;
    padding-left: 17%;
    padding-right: 2%;
    padding-top: 20px;
    padding-bottom: 20px;
}

.large-container{
  padding-left: 7%;
}


.banner{
    width: 100%;
}

.banner img{
    width: 100%;
   border-radius: 8px;
}

.list-container #videos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-column-gap: 70px;
    grid-row-gap: 30px;
    margin-top: 15px;
    /* margin-right: 64px; */
}

/* .vid-list .thumbnail{
    width: 100%;
    border-radius: 5%;
}
.vid-list .flex-div {
    align-items: flex-start;
    margin-top: 15px;
} */


/* -------------------------- js ------------------------ */

.search-box button{
    /* padding:4px; */
    /* height:30px; */
    /* margin-top: -10px; */
    /* margin-bottom: -9px; */
    /* padding-right: 10px; */
    /* padding-left: 0px; */
    /* color: transparent; */

    background-color: transparent;
    outline: none;
    border: 0;
}


/* #videos {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    grid-gap: 20px;
} */